# Poco::Prometheus

# class HistogramSample

Library: Prometheus
Package: Core
Header: Poco/Prometheus/Histogram.h

## Member Summary

Member Functions: bucketBounds, data, observe

## Constructors

### HistogramSample

explicit HistogramSample(
const std::vector < double > & bucketBounds
);

Creates the HistogramSample.

## Destructor

### ~HistogramSample

~HistogramSample() = default;

Destroys the HistogramSample.

## Member Functions

### bucketBounds

const std::vector < double > & bucketBounds() const;

Returns the buckets upper bounds;

### data

HistogramData data() const;

Returns the histogram's data.

### observe

void observe(
double value
);

Observes the given amount, by increasing the count in the respective bucket.

### observe

void observe(
Poco::Clock::ClockVal v
);

Converts the given Clock time in microseconds to seconds and increases the count in the respective bucket.

Can only be used if no labels have been defined.